Installer.com Docs
POST
/api/v1/order/{orderId}/note

Add a plain-text note to an order. To attach files, upload them first via POST /v1/file/upload and pass the returned ids in fileIds.

Authorization

Bearer
headerAuthorizationBearer <token>

Installer.com auth token

Path Parameters

orderId*string
Formatuuid

Request Body

Create order note payload

application/json
  1. body
content*string

Plain text note content

Length1 <= length
fileIds?array<string>

Optional list of file ids previously uploaded via POST /v1/file/upload

isPublic?boolean

When true, the note is visible to all participants on the order. Defaults to false (router-internal only).

Defaultfalse

Response Body

Created order note

application/json
  1. response
id*string
Formatuuid
orderId*string
Formatuuid
content*string
fileIds*array<string>
isPublic*boolean
createdAt*string
Formatdate-time
Example Request
curl -X POST 'https://api.installer.com/api/v1/order/497f6eca-6276-4993-bfeb-53cbbbba6f08/note' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",  "content": "string",  "fileIds": [    "string"  ],  "isPublic": true,  "createdAt": "2019-08-24T14:15:22Z"}